
/* 
 * Runset Init: Command dispatch table
 *
 * Copyright 1998 Michael Deutschmann
 *
 * This software package is subject to the GNU General Public License
 * version 2 or later (your choice) as published by the Free Software 
 * Foundation.
 *
 * THERE ARE NO WARRANTIES WHATSOEVER. 
 *
 */

#define _GNU_SOURCE

#include "common.h"
#include "dispatch.h"

/* This is the list of commands that we understand in the configuration 
 * file. 
 */
const struct dtable dispatch_table[] =
{
  {"once", &act_once},
  {"watch", &act_watch},
  {"wait", &act_wait},
  {"respawn", &act_respawn},
  {"leave", &act_leave},
  {"filesystem", &act_filesystem},
  {"swap", &act_swap},
  {"openutmp", &act_openutmp},
  {"service", &act_service},
  {"pass_socket",&act_pass_socket},
  {"clock", &act_clock},
  {0, 0}
};
